from django.db import models

# Create your models here.

class Participant(models.Model):
	LANGUAGE_CHOICES = (
		(1,'Assamese/Axomiya'),
		(2,'Bengali'),
		(3,'Bodo'),
		(4,'Dogri'),
		(5,'Gujarati'),
		(6,'Hindi'),
		(7,'Kannada'),
		(8,'Kashmiri'),
		(9,'Konkani'),
		(10,'Maithili'),
		(11,'Malayalam'),
		(12,'Manipuri'),
		(13,'Marathi'),
		(14,'Nepali'),
		(15,'Oriya'),
		(16,'Punjabi'),
		(17,'Sanskrit'),
		(18,'Santali'),
		(19,'Sindhi'),
		(20,'Tamil'),
		(21,'Telugu'),
		(22,'Urdu'),
   	)
   	CATEGORY_CHOICES = (
		(1,'Student at IIT'),
		(2,'Staff and family'),
		(3,'Faculty and family'),
		(4,'Others'),
   	)
	name = models.CharField(max_length = 50)
	email = models.EmailField()
	filename = models.FileField(upload_to = 'videos')
	language = models.CharField(max_length = 20, choices=LANGUAGE_CHOICES)
	phonenumber = models.CharField(max_length=15)
	age = models.IntegerField(max_length=3)
	category = models.CharField(max_length = 80, choices=CATEGORY_CHOICES)


